Subject: Re: Custom subcommand help handlers

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Dec 2021 16:16:28 -0800

Philip Oakley <[email-masked]> writes:

> They had the issue that their windows users, using Git for Windows, do
> not have the `man` package installed. Rather the `web` help of using the
> .html version of the man page is used (needs administrator install in
> some case). So user commands would need to provide both the man page for
> Linux systems and some process to get the html equivalent into the right
> folder - this latter case was the problem step.

So are they willing to prepare `web` help pages, because that is
what the users of Git for Windows are already familiar with, if "git
foo --help" is capable of showing it, just like "git commit --help"
shows the `web` help page for the subcommand?

As I said elsewhere on this thread, lack of equivalent for MANPATH
and INFOPATH makes `web` help harder to customize in that direction,
but that is a problem we can solve in our code.  Once it is there,
they can let the user install their `web` help pages into somewhere
the user has write access to and point at the "folder" with
GIT_HTMLPATH, I would presume?

Thanks.